prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- ORACLE Application Express (APEX) export file
--
-- You should run the script connected to SQL*Plus as the Oracle user
-- APEX_200100 or as the owner (parsing schema) of the application.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_api.import_begin (
 p_version_yyyy_mm_dd=>'2016.08.24'
,p_release=>'5.1.3.00.05'
,p_default_workspace_id=>21717127411908241868
,p_default_application_id=>103428
,p_default_owner=>'RD_DEV'
);
end;
/
 
prompt APPLICATION 103428 - Ronny's Demo App
--
-- Application Export:
--   Application:     103428
--   Name:            Ronny's Demo App
--   Date and Time:   15:35 Tuesday March 24, 2020
--   Exported By:     RONNYWEISS@OUTLOOK.COM
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 62193305448936889086
--   Manifest End
--   Version:         20.1.0.00.11
--   Instance ID:     63113759365424
--

begin
  -- replace components
  wwv_flow_api.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/region_type/apex_oracle_osm_maps
begin
wwv_flow_api.create_plugin(
 p_id=>wwv_flow_api.id(62193305448936889086)
,p_plugin_type=>'REGION TYPE'
,p_name=>'APEX.ORACLE.OSM.MAPS'
,p_display_name=>'APEX Oracle & OSM Maps'
,p_supported_ui_types=>'DESKTOP:JQM_SMARTPHONE'
,p_plsql_code=>wwv_flow_string.join(wwv_flow_t_varchar2(
'FUNCTION F_AJAX (',
'    P_REGION   IN         APEX_PLUGIN.T_REGION,',
'    P_PLUGIN   IN         APEX_PLUGIN.T_PLUGIN',
') RETURN APEX_PLUGIN.T_REGION_AJAX_RESULT IS',
'    VR_RESULT   APEX_PLUGIN.T_REGION_AJAX_RESULT;',
'BEGIN',
'    APEX_UTIL.JSON_FROM_SQL(SQLQ   => RTRIM(',
'        P_REGION.SOURCE,',
'        '';''',
'    ));',
'    RETURN VR_RESULT;',
'END;',
'',
'FUNCTION F_RENDER (',
'    P_REGION                IN APEX_PLUGIN.T_REGION,',
'    P_PLUGIN                IN APEX_PLUGIN.T_PLUGIN,',
'    P_IS_PRINTER_FRIENDLY   IN BOOLEAN',
') RETURN APEX_PLUGIN.T_REGION_RENDER_RESULT IS',
'    VR_CONF_JSON      APEX_APPLICATION_PAGE_REGIONS.ATTRIBUTE_01%TYPE := P_REGION.ATTRIBUTE_01;',
'    VR_ITEMS2SUBMIT   APEX_APPLICATION_PAGE_REGIONS.AJAX_ITEMS_TO_SUBMIT%TYPE := APEX_PLUGIN_UTIL.PAGE_ITEM_NAMES_TO_JQUERY(P_REGION.AJAX_ITEMS_TO_SUBMIT);',
'    VR_REGION_ID      VARCHAR2(200) := APEX_PLUGIN_UTIL.ESCAPE(''aom-'' || P_REGION.STATIC_ID, TRUE);',
'    VR_BASE_URL       VARCHAR2(200) := ''https://elocation.oracle.com/mapviewer'';',
'  ',
'BEGIN',
'    IF P_REGION.ATTRIBUTE_02 = ''oracle'' THEN',
'        APEX_JAVASCRIPT.ADD_LIBRARY(',
'            P_NAME        => ''oraclemapsv2'',',
'            P_DIRECTORY   => VR_BASE_URL || ''/jslib/v2.3/'',',
'            P_VERSION     => NULL,',
'            P_KEY         => ''omjssrc''',
'        );',
'    ELSE',
'        APEX_JAVASCRIPT.ADD_LIBRARY(',
'            P_NAME        => ''https://openlayers.org/api/OpenLayers'',',
'            P_DIRECTORY   => NULL,',
'            P_VERSION     => NULL,',
'            P_KEY         => ''osmlajssrc''',
'        );',
'        APEX_JAVASCRIPT.ADD_LIBRARY(',
'            P_NAME        => ''https://www.openstreetmap.org/openlayers/OpenStreetMap'',',
'            P_DIRECTORY   => NULL,',
'            P_VERSION     => NULL,',
'            P_KEY         => ''osmjssrc''',
'        );',
'    END IF;',
'    ',
'    APEX_JAVASCRIPT.ADD_LIBRARY(',
'        P_NAME        => ''script.min'',',
'        P_DIRECTORY   => P_PLUGIN.FILE_PREFIX,',
'        P_VERSION     => NULL,',
'        P_KEY         => ''aoosmmjssrc''',
'    ); ',
'    ',
'    HTP.P( ''<div id="'' || VR_REGION_ID || ''"></div>'' );',
'',
'    APEX_JAVASCRIPT.ADD_ONLOAD_CODE(''apexOracleOSMMaps.initialize(''',
'     || APEX_JAVASCRIPT.ADD_VALUE( VR_REGION_ID, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( APEX_PLUGIN.GET_AJAX_IDENTIFIER, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( VR_CONF_JSON, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( VR_ITEMS2SUBMIT, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.STATIC_ID, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( VR_BASE_URL, TRUE )',
'     || APEX_JAVASCRIPT.ADD_VALUE( P_REGION.ATTRIBUTE_02, FALSE )',
'     || '');'');',
'',
'    RETURN NULL;',
'END;'))
,p_api_version=>1
,p_render_function=>'F_RENDER'
,p_ajax_function=>'F_AJAX'
,p_standard_attributes=>'SOURCE_SQL:AJAX_ITEMS_TO_SUBMIT'
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>'This plugin is used to draw an oracle or an osm map'
,p_version_identifier=>'1.2.1'
,p_about_url=>'https://github.com/RonnyWeiss/APEX-Oracle-and-OSM-Maps'
,p_files_version=>1629
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(62193305686363889089)
,p_plugin_id=>wwv_flow_api.id(62193305448936889086)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_prompt=>'ConfigJSON'
,p_attribute_type=>'JAVASCRIPT'
,p_is_required=>true
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{',
'  "refresh": 0,',
'  "height": "600px",',
'  "map": {',
'    "longitude": 0,',
'    "latitude": 0,',
'    "zoom": 1',
'  },',
'  "marker": {',
'    "height": 54,',
'    "width": 54,',
'    "labels": false,',
'    "url": "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA7EAAAOxAGVKw4bAAAEeElEQVRogcWZT2hdRRTGf/cRQhYhBAmlhC5CkRBCKCEqVBcSShTRLkSKiJQiLooLF+JCgohQXHThyoVIESkSsuiqiBTRIiolipQS/NcWJG0lVKvV1lBriGnO52LmNjc3d+579915fQeG'
||'N+/CzHzfme/MPXNuQk2T+xkAdgOjwEPAFDDsnwP8C1wDvgfOAueBS8CNBKwuhrZNMGhwwOCYYMlgXaB8s63/NwRXBfMGL8oR7Qr4CYNTBr97UNuAlzVz7abBgmBG0LhXwHcKjhjczHs31G+h3TZ435wEOwp+h2BecDsi+LStCz4XjHcS/HEFdB6xfRqdhJfNXChIfVs1uOB36KBgSrBLMGwuXp6RC/ZzBitNdu0LwVg0AgZvpLIJtF8MXh'
||'fsEfSUOKIhGBEcNlgsCf4NwYdRAlswZvBXaCGDrwT7BL0V5mwIJv1urQV2Y9Vgf13wAwYnbfPYy3vpuGBnjfn7BG8arBXJyZzcRuoQ2C+4GjhVztQBnyVhTi7b5GRwy+DlMlmWTdwveCeg02XBTF3wmbUmBN8GAvqjthwlGBf8VOCVNYMjVTTfzMytdyiNNdsqoxXBdGhsWZTvFtxf8PxKAh8n8F9d4DkQnwEXBSS++f4A8GCTsYU2mXgv'
||'a+vz87isMrZdS+DLJPMg0384NKiMwAMFE5HA6Zjez61xCpzDUqf5/mRoXBmBUOBcrIyudSuSEJSk3EECgv5MP2t/1EHYxP5O4E76J9n87QsNCJ6vAS3eE0sdlmz2g7e2shfEjcDzoXZAtWgDgp7UYRkJ/RMaUBYDl9JOTkKdvHSMFu28MljyVkZgIT+Rn+yxmC+xzLwAT6X97CmUwNehcWVB/KPgz/zzBCbozK1pCJguOIXuAGdCg4IEEv'
||'g18S+snIRGgCfaSrAC5iN0HzBeIKErci/PaiboEcwKVgvy9SXBo7WRezMYlbtX5POuDcF72qwvVSaxV/BzJrHKLnBacF8E8L0e5HrBneC64Dk1nyZIoE8wV5BOpxead+uQ8OBflSurFN2PFwx2tDt/SmLCwgtsCD4RPFIlJnz6PC53yV8tcdCBWuAzJE4UxMHdX4MLBq/IabnsZEMwLFe1WAjIJm2LKkkhqhKYlqtnBus5BrcE33mvPi0Y'
||'NRiUe7uOCB4XvC34RpmLSxF4c7tyKAp4T6BP8FbgRGrar9J87WlOsVMWwZjgbBXgbfYvy5Vp4ppBw5x22/Fqlf7RaNoPEJm3TKUipoTM7XDnwHsCk4LFDkhoWXUrca2YoNfgsMLlxnYktOql098cQRwSPYKj5mqjMSR0QhHSkqokhvznoboSuqyYpfSKJGY8gHYltGLwQlfAewINuWzxt6oS8oXb1zp+6rRAok8wW5Ryl/UNPlBnCwStm1'
||'y+c7KChH5Qt74Ph0ywy1wpfD0kIf8CPCfY022820yuTcllmyHZLAmeVMT7dFTzQb3X/EfwHJF1g2fVgZJMdJPL/ZcyJK4LXuo2rpbN33WfFyz73ZhVu5WFbpk/Xg/KfYUc7NQ6/wPXO1op+IbpEgAAAABJRU5ErkJggg=="',
'  }',
'}'))
,p_is_translatable=>false
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'{',
'  "refresh": 0,',
'  "height": "600px",',
'  "map": {',
'    "longitude": 0,',
'    "latitude": 0,',
'    "zoom": 1',
'  },',
'  "marker": {',
'    "height": 54,',
'    "width": 54,',
'    "labels": false,',
'    "url": "data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA7EAAAOxAGVKw4bAAAEeElEQVRogcWZT2hdRRTGf/cRQhYhBAmlhC5CkRBCKCEqVBcSShTRLkSKiJQiLooLF+JCgohQXHThyoVIESkSsuiqiBTRIiolipQS/NcWJG0lVKvV1lBriGnO52LmNjc3d+579915fQeG'
||'N+/CzHzfme/MPXNuQk2T+xkAdgOjwEPAFDDsnwP8C1wDvgfOAueBS8CNBKwuhrZNMGhwwOCYYMlgXaB8s63/NwRXBfMGL8oR7Qr4CYNTBr97UNuAlzVz7abBgmBG0LhXwHcKjhjczHs31G+h3TZ435wEOwp+h2BecDsi+LStCz4XjHcS/HEFdB6xfRqdhJfNXChIfVs1uOB36KBgSrBLMGwuXp6RC/ZzBitNdu0LwVg0AgZvpLIJtF8MXh'
||'fsEfSUOKIhGBEcNlgsCf4NwYdRAlswZvBXaCGDrwT7BL0V5mwIJv1urQV2Y9Vgf13wAwYnbfPYy3vpuGBnjfn7BG8arBXJyZzcRuoQ2C+4GjhVztQBnyVhTi7b5GRwy+DlMlmWTdwveCeg02XBTF3wmbUmBN8GAvqjthwlGBf8VOCVNYMjVTTfzMytdyiNNdsqoxXBdGhsWZTvFtxf8PxKAh8n8F9d4DkQnwEXBSS++f4A8GCTsYU2mXgv'
||'a+vz87isMrZdS+DLJPMg0384NKiMwAMFE5HA6Zjez61xCpzDUqf5/mRoXBmBUOBcrIyudSuSEJSk3EECgv5MP2t/1EHYxP5O4E76J9n87QsNCJ6vAS3eE0sdlmz2g7e2shfEjcDzoXZAtWgDgp7UYRkJ/RMaUBYDl9JOTkKdvHSMFu28MljyVkZgIT+Rn+yxmC+xzLwAT6X97CmUwNehcWVB/KPgz/zzBCbozK1pCJguOIXuAGdCg4IEEv'
||'g18S+snIRGgCfaSrAC5iN0HzBeIKErci/PaiboEcwKVgvy9SXBo7WRezMYlbtX5POuDcF72qwvVSaxV/BzJrHKLnBacF8E8L0e5HrBneC64Dk1nyZIoE8wV5BOpxead+uQ8OBflSurFN2PFwx2tDt/SmLCwgtsCD4RPFIlJnz6PC53yV8tcdCBWuAzJE4UxMHdX4MLBq/IabnsZEMwLFe1WAjIJm2LKkkhqhKYlqtnBus5BrcE33mvPi0Y'
||'NRiUe7uOCB4XvC34RpmLSxF4c7tyKAp4T6BP8FbgRGrar9J87WlOsVMWwZjgbBXgbfYvy5Vp4ppBw5x22/Fqlf7RaNoPEJm3TKUipoTM7XDnwHsCk4LFDkhoWXUrca2YoNfgsMLlxnYktOql098cQRwSPYKj5mqjMSR0QhHSkqokhvznoboSuqyYpfSKJGY8gHYltGLwQlfAewINuWzxt6oS8oXb1zp+6rRAok8wW5Ryl/UNPlBnCwStm1'
||'y+c7KChH5Qt74Ph0ywy1wpfD0kIf8CPCfY022820yuTcllmyHZLAmeVMT7dFTzQb3X/EfwHJF1g2fVgZJMdJPL/ZcyJK4LXuo2rpbN33WfFyz73ZhVu5WFbpk/Xg/KfYUc7NQ6/wPXO1op+IbpEgAAAABJRU5ErkJggg=="',
'  }',
'}',
'</pre>',
'<h3>Explanation:</h3>',
'<ul>',
'<li><strong>refresh (number):</strong> refresh the item in seconds (if set to 0 refresh is stopped)</li>',
'<li><strong>height (string):</strong> set height style of the map</li>',
'<li><strong>map (object):</strong>&nbsp;',
'<ul>',
'<li><strong>longitude (number):</strong> longitude where map is centered</li>',
'<li><strong>latitude (number):</strong> latitude where map is centered</li>',
'<li><strong>zoom (number):</strong> zoom level of the map</li>',
'</ul>',
'</li>',
'<li><strong>marker (object):</strong>',
'<ul>',
'<li><strong>height (number):</strong> height of the marker icon</li>',
'<li><strong>width (numbert):</strong> width of the marcer icon</li>',
'<li><strong>labels (bool):</strong> set if labels are enabled</li>',
'<li><strong>url (string):</strong>&nbsp;url oif the marker icon</li>',
'</ul>',
'</li>',
'</ul>'))
);
wwv_flow_api.create_plugin_attribute(
 p_id=>wwv_flow_api.id(62331909605201579043)
,p_plugin_id=>wwv_flow_api.id(62193305448936889086)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_prompt=>'Map'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'osm'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Set type of the map'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(62332391161502610941)
,p_plugin_attribute_id=>wwv_flow_api.id(62331909605201579043)
,p_display_sequence=>10
,p_display_value=>'Oracle Maps'
,p_return_value=>'oracle'
);
wwv_flow_api.create_plugin_attr_value(
 p_id=>wwv_flow_api.id(62332395551997612376)
,p_plugin_attribute_id=>wwv_flow_api.id(62331909605201579043)
,p_display_sequence=>20
,p_display_value=>'OpenStreetMaps (OSM)'
,p_return_value=>'osm'
);
wwv_flow_api.create_plugin_std_attribute(
 p_id=>wwv_flow_api.id(62195224952365945018)
,p_plugin_id=>wwv_flow_api.id(62193305448936889086)
,p_name=>'SOURCE_SQL'
,p_default_value=>wwv_flow_string.join(wwv_flow_t_varchar2(
'SELECT',
'    /* set center longitude of the map - only first row is used */',
'    30 AS MAP_LONGITUDE,',
'    /* set center latitude of the map - only first row is used */',
'    30 AS MAP_LATITUDE,',
'    /* set zoom level of the map - only first row is used */',
'    2 AS MAP_ZOOM,',
'    /* set longitude of the marker */',
'    DBMS_RANDOM.VALUE(',
'        0,',
'        60',
'    ) AS MARKER_LONGITUDE,',
'    /* set latitude of the marker */',
'    DBMS_RANDOM.VALUE(',
'        0,',
'        60',
'    ) AS MARKER_LATITUDE,',
'    /* set label of the marker if lables are enabled*/',
'    ''POI Number '' || ROWNUM AS MARKER_LABEL,',
'    /* set url for the icon of the marker */',
'    NULL AS MARKER_URL,',
'    /* set width of the marker icon*/',
'    30 AS MARKER_WIDTH,',
'    /* set height of the marker icon */',
'    30 AS MARKER_HEIGHT,',
'    ''https://linktr.ee/ronny.weiss'' AS MARKER_LINK',
'FROM',
'    DUAL',
'CONNECT BY',
'    ROWNUM <= 10',
'UNION ALL',
'SELECT',
'    NULL,',
'    NULL,',
'    NULL,',
'    13.73832 AS MARKER_LONGITUDE,',
'    51.05089 AS MARKER_LATITUDE,',
'    ''Dresden'' AS MARKER_LABEL,',
'    ''data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAEAAAAA7CAYAAADLjIzcAAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAAGYktHRAD/AP8A/6C9p5MAAAWBSURBVGhD5ZpdTBxVFMfvvbsFZpU1Cu4WWKitprZWEzVFEl98U1+MRo1focZqJLERW2Ni9Mn0zWhMTKwKmhp'
||'TsNrGmPjxYl98aPpAtT5oJRSIsQuk7kKpQHcX2Z05/s/uHT5kYT/YWWDnFzLMOTO7M/8/5557ZxcpioCE8I4YW+/CXpuUYjfikCCq5WNSyhnkxwTJAYR9oUTkV1wkyccKAe+pLvrq7/QIz/2WEPcool0kZJOQwidxMbx/DGeNIu4nKc7iyj8ejUX6DwuB0/MnbwNwQxKi9+LiHbj6wxB6oz60OkST2H4nSXzy6Wy0L9cNDlzbUG9YZocS8'
||'gWEOzLZ/CCiCxDUPVeT/OzmK1emdHpVchrAwkeNQBvOfBu79+l0sZxRlvVG4+z4GVwYb71AWIQM5Zt7zRLydRxLV1PRpE2Xh6cSdV23i/45nc3KqgYMihv8Nb4t72D3RZyoMtm1AdWWJPrcMFKv1k9OTnMubGxtRboHVXVr+qQSgUo951Ge9qarl3g4ZmVFA0ar6ndaHvUtbmqXTpUUGDFkKfmI1xKtJKxu3Eq1PlRaSExDZDt60fc6s4S'
||'sBoz5Gu62yDyFjlanUw5BCTS26lJV10rA7KSQtL8lFv1Cp+ZZZsDFa4J7lEWnIf56naoIMBySaKyPhuKRH3QqzRIDRmsb68hM/Yz0dp2qKDB5TivTbA3NTQzq1ELpvYV9y0x1Vap4BmsWP3lVL4aEV6cWDHjeCDwkhXxchxWMbA0bgZd1kBkC58VtVdf5Lv+B3Vs4rniIxr0Jub1BRGLpCvDXTDyGX+4Qz2AVmzKog3cVxoMUSh5IH3AXv'
||'NQWcqimsblamX85PRdvREwl96hqlXrAjeIZmbIeVHhKu1fHrkMq0YbFkbhDx65DktytsEZs0bELoSZFFbbmLwgpa7n5eTKR++AlAAyghI5dhySaUVj/R3TsRsa4CQ7pwHWQFAO8FD6nYxdCfUop+klHrkNKeUrFY/7T+rN7V4HKH2yORX9TO8Xwv1gNHtd5N3GUN+mHoKTHPAJHUrzvClDxvppkF++mDdgxc/kCkss+Mq5YpHzX/lJm/jH'
||'YktabGBj/6LByIfF7JB55T0cLBtwUn7hEJF7CUMBPZQJhV0mJZ/Yu+rZ63gCmeTZyAon3dVhRcI/D4+/+lljkvE6lWfbNEE70jvoCPTj0lE5teqDJIqID2xLRbp2aZ0kFMHAklYj7n8OLvtGpTQ10mNgcyiaeWVYBNnjhFlTCsU1eCSh76gwloukpLxvLKsAGziQj8eizcOJLndps5BTPrFgBNumeYASP4cyndWrDw2VPZHVuS4x/rFMrk'
||'tMAZjOZwOIVSfzl/84pnllxCCyGG+NwIrLhhwPEWxD/Sr7imbwqwAYX8KASejZiJWTEC4iPfKhTeZFXBdjALRMX2GcJ+kqnNgQsHpuCxTMFGcCwCX/Go/tw2RM6ta5kxMvOliLEMwUNgcXgwt4RX6BXCvmkTpWdjHgL4sc/0qmCKbgCbLgxRlEJJOikTpWVzJhfm3im6AqwwY3wirEXb/WETpUDzPPiYLFlv5iiK8AGDianMj2hLJUAw0s'
||'mnllzBdjgGbPKj6dI9ATHKoHFY1My8UzJDGCcNMEJ8UxJDWC4J+jZoWQmsHgscg4WM8/nouQGMKU0wUnxzJqbYDa4MWKKbF/rFGmXvVPiGUcqwAYCvGH0BFXchyrc7Q9hzB/RsSM4agADEwp+gMJreG3PDc9R8YzjBjAZE7BYkrkroZziGUd6wP+By+ZwAoslWv0BqtzimbJUgM0vmB2CmUpYNjush3imrAYwbELAFziOKXL+X/O1eG54H'
||'+hUZcP/nh/2Bb8e8QUJv82wEezUh9wDm4CnyJPrK16I/wDqfSNO/pMm0wAAAABJRU5ErkJggg=='' AS MARKER_URL,',
'    /* set width of the marker icon*/',
'    30 AS MARKER_WIDTH,',
'    /* set height of the marker icon */',
'    30 AS MARKER_HEIGHT,',
'    ''https://linktr.ee/ronny.weiss'' AS MARKER_LINK',
'FROM',
'    DUAL'))
,p_sql_min_column_count=>2
,p_depending_on_has_to_exist=>true
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<pre>',
'SELECT',
'    /* set center longitude of the map - only first row is used */',
'    30 AS MAP_LONGITUDE,',
'    /* set center latitude of the map - only first row is used */',
'    30 AS MAP_LATITUDE,',
'    /* set zoom level of the map - only first row is used */',
'    2 AS MAP_ZOOM,',
'    /* set longitude of the marker */',
'    DBMS_RANDOM.VALUE(',
'        0,',
'        60',
'    ) AS MARKER_LONGITUDE,',
'    /* set latitude of the marker */',
'    DBMS_RANDOM.VALUE(',
'        0,',
'        60',
'    ) AS MARKER_LATITUDE,',
'    /* set label of the marker if lables are enabled*/',
'    ''POI Number '' || ROWNUM AS MARKER_LABEL,',
'    /* set url for the icon of the marker */',
'    NULL AS MARKER_URL,',
'    /* set width of the marker icon*/',
'    25 AS MARKER_WIDTH,',
'    /* set height of the marker icon */',
'    25 AS MARKER_HEIGHT,',
'    ''https://linktr.ee/ronny.weiss'' AS MARKER_LINK',
'FROM',
'    DUAL',
'CONNECT BY',
'    ROWNUM <= 10',
'</pre>'))
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4D4954204C6963656E73650D0A0D0A436F7079726967687420286329203230323020526F6E6E792057656973730D0A0D0A5065726D697373696F6E20697320686572656279206772616E7465642C2066726565206F66206368617267652C20746F20616E';
wwv_flow_api.g_varchar2_table(2) := '7920706572736F6E206F627461696E696E67206120636F70790D0A6F66207468697320736F66747761726520616E64206173736F63696174656420646F63756D656E746174696F6E2066696C657320287468652022536F66747761726522292C20746F20';
wwv_flow_api.g_varchar2_table(3) := '6465616C0D0A696E2074686520536F66747761726520776974686F7574207265737472696374696F6E2C20696E636C7564696E6720776974686F7574206C696D69746174696F6E20746865207269676874730D0A746F207573652C20636F70792C206D6F';
wwv_flow_api.g_varchar2_table(4) := '646966792C206D657267652C207075626C6973682C20646973747269627574652C207375626C6963656E73652C20616E642F6F722073656C6C0D0A636F70696573206F662074686520536F6674776172652C20616E6420746F207065726D697420706572';
wwv_flow_api.g_varchar2_table(5) := '736F6E7320746F2077686F6D2074686520536F6674776172652069730D0A6675726E697368656420746F20646F20736F2C207375626A65637420746F2074686520666F6C6C6F77696E6720636F6E646974696F6E733A0D0A0D0A5468652061626F766520';
wwv_flow_api.g_varchar2_table(6) := '636F70797269676874206E6F7469636520616E642074686973207065726D697373696F6E206E6F74696365207368616C6C20626520696E636C7564656420696E20616C6C0D0A636F70696573206F72207375627374616E7469616C20706F7274696F6E73';
wwv_flow_api.g_varchar2_table(7) := '206F662074686520536F6674776172652E0D0A0D0A54484520534F4654574152452049532050524F564944454420224153204953222C20574954484F55542057415252414E5459204F4620414E59204B494E442C2045585052455353204F520D0A494D50';
wwv_flow_api.g_varchar2_table(8) := '4C4945442C20494E434C5544494E4720425554204E4F54204C494D4954454420544F205448452057415252414E54494553204F46204D45524348414E544142494C4954592C0D0A4649544E45535320464F52204120504152544943554C41522050555250';
wwv_flow_api.g_varchar2_table(9) := '4F534520414E44204E4F4E494E4652494E47454D454E542E20494E204E4F204556454E54205348414C4C205448450D0A415554484F5253204F5220434F5059524947485420484F4C44455253204245204C4941424C4520464F5220414E5920434C41494D';
wwv_flow_api.g_varchar2_table(10) := '2C2044414D41474553204F52204F544845520D0A4C494142494C4954592C205748455448455220494E20414E20414354494F4E204F4620434F4E54524143542C20544F5254204F52204F54484552574953452C2041524953494E472046524F4D2C0D0A4F';
wwv_flow_api.g_varchar2_table(11) := '5554204F46204F5220494E20434F4E4E454354494F4E20574954482054484520534F465457415245204F522054484520555345204F52204F54484552204445414C494E475320494E205448450D0A534F4654574152452E0D0A';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(62193308873040889101)
,p_plugin_id=>wwv_flow_api.id(62193305448936889086)
,p_file_name=>'LICENSE'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '76617220617065784F7261636C654F534D4D6170733D66756E6374696F6E28297B2275736520737472696374223B76617220653D7B76657273696F6E3A22312E322E37222C6973446566696E6564416E644E6F744E756C6C3A66756E6374696F6E286529';
wwv_flow_api.g_varchar2_table(2) := '7B72657475726E20766F69642030213D3D6526266E756C6C213D3D657D2C6973415045583A66756E6374696F6E28297B72657475726E22756E646566696E656422213D747970656F6620617065787D2C64656275673A7B696E666F3A66756E6374696F6E';
wwv_flow_api.g_varchar2_table(3) := '2872297B652E69734150455828292626617065782E64656275672E696E666F2872297D2C6572726F723A66756E6374696F6E2872297B652E69734150455828293F617065782E64656275672E6572726F722872293A636F6E736F6C652E6572726F722872';
wwv_flow_api.g_varchar2_table(4) := '297D7D2C6C696E6B3A66756E6374696F6E28652C72297B69662821722972657475726E2077696E646F772E6C6F636174696F6E3D653B77696E646F772E6F70656E28652C225F626C616E6B22297D2C6C6F616465723A7B73746172743A66756E6374696F';
wwv_flow_api.g_varchar2_table(5) := '6E28722C6E297B6966286E7C7C242872292E63737328226D696E2D686569676874222C22313030707822292C652E697341504558282929617065782E7574696C2E73686F775370696E6E65722824287229293B656C73657B76617220613D2428223C7370';
wwv_flow_api.g_varchar2_table(6) := '616E3E3C2F7370616E3E22293B612E6174747228226964222C226C6F61646572222B72292C612E616464436C617373282263742D6C6F6164657222293B766172206F3D2428223C693E3C2F693E22293B6F2E616464436C617373282266612066612D7265';
wwv_flow_api.g_varchar2_table(7) := '66726573682066612D32782066612D616E696D2D7370696E22292C6F2E63737328226261636B67726F756E64222C2272676261283132312C3132312C3132312C302E362922292C6F2E6373732822626F726465722D726164697573222C22313030252229';
wwv_flow_api.g_varchar2_table(8) := '2C6F2E637373282270616464696E67222C223135707822292C6F2E6373732822636F6C6F72222C22776869746522292C612E617070656E64286F292C242872292E617070656E642861297D7D2C73746F703A66756E6374696F6E2865297B2428652B2220';
wwv_flow_api.g_varchar2_table(9) := '3E202E752D50726F63657373696E6722292E72656D6F766528292C2428652B22203E202E63742D6C6F6164657222292E72656D6F766528297D7D2C6E6F446174614D6573736167653A7B73686F773A66756E6374696F6E28652C72297B766172206E3D24';
wwv_flow_api.g_varchar2_table(10) := '28223C6469763E3C2F6469763E22292E63737328226D617267696E222C223132707822292E6373732822746578742D616C69676E222C2263656E74657222292E637373282270616464696E67222C2236347078203022292E616464436C61737328226E6F';
wwv_flow_api.g_varchar2_table(11) := '64617461666F756E646D65737361676522292C613D2428223C6469763E3C2F6469763E22292C6F3D2428223C7370616E3E3C2F7370616E3E22292E616464436C6173732822666122292E616464436C617373282266612D73656172636822292E61646443';
wwv_flow_api.g_varchar2_table(12) := '6C617373282266612D327822292E6373732822686569676874222C223332707822292E63737328227769647468222C223332707822292E6373732822636F6C6F72222C222344304430443022292E63737328226D617267696E2D626F74746F6D222C2231';
wwv_flow_api.g_varchar2_table(13) := '36707822293B612E617070656E64286F293B76617220743D2428223C7370616E3E3C2F7370616E3E22292E746578742872292E6373732822646973706C6179222C22626C6F636B22292E6373732822636F6C6F72222C222337303730373022292E637373';
wwv_flow_api.g_varchar2_table(14) := '2822666F6E742D73697A65222C223132707822293B6E2E617070656E642861292E617070656E642874292C242865292E617070656E64286E297D2C686964653A66756E6374696F6E2865297B242865292E6368696C6472656E28222E6E6F64617461666F';
wwv_flow_api.g_varchar2_table(15) := '756E646D65737361676522292E72656D6F766528297D7D2C6A736F6E53617665457874656E643A66756E6374696F6E28652C72297B766172206E3D7B7D2C613D7B7D3B69662822737472696E67223D3D747970656F662072297472797B613D4A534F4E2E';
wwv_flow_api.g_varchar2_table(16) := '70617273652872297D63617463682865297B636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F20706172736520746172676574436F6E6669672E20506C6561736520636865636B20796F757220436F6E666967204A534F';
wwv_flow_api.g_varchar2_table(17) := '4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22292C636F6E736F6C652E6572726F722865292C636F6E736F6C652E6572726F722872297D656C736520613D723B7472797B6E3D242E657874656E642821302C652C6129';
wwv_flow_api.g_varchar2_table(18) := '7D63617463682872297B636F6E736F6C652E6572726F7228224572726F72207768696C652074727920746F206D657267652032204A534F4E7320696E746F207374616E64617264204A534F4E20696620616E7920617474726962757465206973206D6973';
wwv_flow_api.g_varchar2_table(19) := '73696E672E20506C6561736520636865636B20796F757220436F6E666967204A534F4E2E205374616E6461726420436F6E6669672077696C6C20626520757365642E22292C636F6E736F6C652E6572726F722872292C6E3D652C636F6E736F6C652E6572';
wwv_flow_api.g_varchar2_table(20) := '726F72286E297D72657475726E206E7D7D3B72657475726E7B696E697469616C697A653A66756E6374696F6E28722C6E2C612C6F2C742C692C73297B66756E6374696F6E20642872297B632E656D70747928292C652E64656275672E696E666F287B6461';
wwv_flow_api.g_varchar2_table(21) := '74613A722C636F6E6669674A534F4E3A707D293B766172206E3D702E6D61702E6C6F6E6769747564652C613D702E6D61702E6C617469747564652C6F3D702E6D61702E7A6F6F6D3B696628226F7261636C65223D3D3D73297472797B4F4D2E67762E7365';
wwv_flow_api.g_varchar2_table(22) := '745265736F757263655061746828692B222F6A736C69622F76322E332F22292C4F4D2E67762E736574426173654D617056696577657255524C2869292C4F4D2E4D61702E7365744C6F63616C652822656E22292C652E64656275672E696E666F287B6D61';
wwv_flow_api.g_varchar2_table(23) := '703A4F4D7D293B76617220743D6E6577204F4D2E756E6976657273652E556E697665727365287B737269643A383330372C626F756E64733A6E6577204F4D2E67656F6D657472792E52656374616E676C65282D3138302C2D36352C3138302C36352C3833';
wwv_flow_api.g_varchar2_table(24) := '3037292C6E756D6265724F665A6F6F6D4C6576656C733A357D292C643D646F63756D656E742E676574456C656D656E74427949642875292C6C3D7B6D617076696577657255524C3A692C756E6976657273653A747D2C413D6E6577204F4D2E4D61702864';
wwv_flow_api.g_varchar2_table(25) := '2C6C292C673D6E6577204F4D2E6C617965722E456C6F636174696F6E54696C654C6179657228226D617022292C4D3D7B6465663A7B747970653A4F4D2E6C617965722E566563746F724C617965722E545950455F4C4F43414C7D7D2C663D6E6577204F4D';
wwv_flow_api.g_varchar2_table(26) := '2E6C617965722E566563746F724C617965722822766563746F7273222C4D293B722E726F772626722E726F772E6C656E6774683E302626242E6561636828722E726F772C66756E6374696F6E28722C74297B303D3D3D72262628652E6973446566696E65';
wwv_flow_api.g_varchar2_table(27) := '64416E644E6F744E756C6C28742E4D41505F4C4F4E4749545544452926262222213D742E4D41505F4C4F4E474954554445262628652E64656275672E696E666F287B4D61704C6F6E6769747564655F6F3A742E4D41505F4C4F4E4749545544457D292C6E';
wwv_flow_api.g_varchar2_table(28) := '3D7061727365466C6F617428742E4D41505F4C4F4E4749545544452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229292C652E64656275672E696E666F287B4D61704C6F6E6769747564653A6E7D29292C652E6973446566696E6564';
wwv_flow_api.g_varchar2_table(29) := '416E644E6F744E756C6C28742E4D41505F4C415449545544452926262222213D742E4D41505F4C41544954554445262628652E64656275672E696E666F287B4D61704C617469747564655F6F3A742E4D41505F4C415449545544457D292C613D70617273';
wwv_flow_api.g_varchar2_table(30) := '65466C6F617428742E4D41505F4C415449545544452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229292C652E64656275672E696E666F287B4D61704C6F6E6769747564653A617D29292C652E6973446566696E6564416E644E6F74';
wwv_flow_api.g_varchar2_table(31) := '4E756C6C28742E4D41505F5A4F4F4D2926262222213D742E4D41505F5A4F4F4D262628652E64656275672E696E666F287B4D61705A6F6F6D5F6F3A742E4D41505F5A4F4F4D7D292C6F3D7061727365466C6F617428742E4D41505F5A4F4F4D2E746F5374';
wwv_flow_api.g_varchar2_table(32) := '72696E6728292E7265706C616365282F2C2F2C222E2229292C652E64656275672E696E666F287B4D61705A6F6F6D3A6F7D2929293B76617220693B696628652E6973446566696E6564416E644E6F744E756C6C28742E4D41524B45525F4C4142454C2926';
wwv_flow_api.g_varchar2_table(33) := '2628693D742E4D41524B45525F4C4142454C2E746F537472696E672829292C652E6973446566696E6564416E644E6F744E756C6C28742E4D41524B45525F4C415449545544452926262222213D742E4D41524B45525F4C415449545544452626652E6973';
wwv_flow_api.g_varchar2_table(34) := '446566696E6564416E644E6F744E756C6C28742E4D41524B45525F4C4F4E4749545544452926262222213D742E4D41524B45525F4C4F4E474954554445297B652E64656275672E696E666F287B4D61726B65724C6F6E6769747564655F6F3A742E4D4152';
wwv_flow_api.g_varchar2_table(35) := '4B45525F4C4F4E4749545544452C4D61726B65724C617469747564655F6F3A742E4D41524B45525F4C415449545544457D293B76617220733D7061727365466C6F617428742E4D41524B45525F4C4F4E4749545544452E746F537472696E6728292E7265';
wwv_flow_api.g_varchar2_table(36) := '706C616365282F2C2F2C222E2229292C643D7061727365466C6F617428742E4D41524B45525F4C415449545544452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229293B652E64656275672E696E666F287B4D61726B65724C6F6E67';
wwv_flow_api.g_varchar2_table(37) := '69747564653A732C4D61726B65724C617469747564653A647D293B766172206C3D6E6577204F4D2E67656F6D657472792E506F696E7428732C64292C753D6E6577204F4D2E4665617475726528742E4D41524B45525F4C4142454C7C7C722C6C2C7B6C61';
wwv_flow_api.g_varchar2_table(38) := '62656C3A692C72656E646572696E675374796C653A6E6577204F4D2E7374796C652E4D61726B6572287B7372633A742E4D41524B45525F55524C7C7C702E6D61726B65722E75726C2C77696474683A742E4D41524B45525F57494454487C7C702E6D6172';
wwv_flow_api.g_varchar2_table(39) := '6B65722E77696474682C6865696768743A742E4D41524B45525F4845494748547C7C702E6D61726B65722E6865696768747D297D293B662E616464466561747572652875292C652E6973446566696E6564416E644E6F744E756C6C28742E4D41524B4552';
wwv_flow_api.g_varchar2_table(40) := '5F4C494E4B292626752E6164644C697374656E65722822636C69636B222C66756E6374696F6E28297B652E6C696E6B28742E4D41524B45525F4C494E4B297D297D7D292C662E7365744C6162656C7356697369626C6528702E6D61726B65722E6C616265';
wwv_flow_api.g_varchar2_table(41) := '6C73292C412E6164644C617965722867292C722E726F772626722E726F772E6C656E6774683E302626412E6164644C617965722866293B766172204C3D6E6577204F4D2E67656F6D657472792E506F696E74286E2C612C38333037293B412E7365744D61';
wwv_flow_api.g_varchar2_table(42) := '7043656E746572416E645A6F6F6D4C6576656C284C2C6F2C2130292C412E696E697428297D63617463682872297B652E64656275672E6572726F7228224572726F207768696C652074727920746F2064726177204F7261636C65206D61707322292C652E';
wwv_flow_api.g_varchar2_table(43) := '64656275672E6572726F722872297D656C7365207472797B76617220453D6E6577204F70656E4C61796572732E4C617965722E4F534D2E4D61706E696B28224D61706E696B22293B66756E6374696F6E20772865297B72657475726E2032303033373530';
wwv_flow_api.g_varchar2_table(44) := '382E33342A652F3138307D66756E6374696F6E204F2865297B72657475726E2032303033373530382E33342A28653D4D6174682E6C6F67284D6174682E74616E28332E3134313539323635333538393739332A2839302B65292F33363029292F2E303137';
wwv_flow_api.g_varchar2_table(45) := '343533323932353139393433323935292F3138307D6966284F70656E4C61796572732E4C616E672E736574436F64652822656E22292C413D6E6577204F70656E4C61796572732E4D617028752C7B70726F6A656374696F6E3A6E6577204F70656E4C6179';
wwv_flow_api.g_varchar2_table(46) := '6572732E50726F6A656374696F6E2822455053473A39303039313322292C646973706C617950726F6A656374696F6E3A6E6577204F70656E4C61796572732E50726F6A656374696F6E2822455053473A3433323622292C6D6178457874656E743A6E6577';
wwv_flow_api.g_varchar2_table(47) := '204F70656E4C61796572732E426F756E6473282D32303033373530382E33342C2D32303033373530382E33342C32303033373530382E33342C32303033373530382E3334292C6E756D5A6F6F6D4C6576656C733A31382C6D61785265736F6C7574696F6E';
wwv_flow_api.g_varchar2_table(48) := '3A3135363534332C756E6974733A226D6574657273227D292C722E726F772626722E726F772E6C656E6774683E3029242E6561636828722E726F772C66756E6374696F6E28722C74297B303D3D3D72262628652E6973446566696E6564416E644E6F744E';
wwv_flow_api.g_varchar2_table(49) := '756C6C28742E4D41505F4C4F4E4749545544452926262222213D742E4D41505F4C4F4E474954554445262628652E64656275672E696E666F287B4D61704C6F6E6769747564655F6F3A742E4D41505F4C4F4E4749545544457D292C6E3D7061727365466C';
wwv_flow_api.g_varchar2_table(50) := '6F617428742E4D41505F4C4F4E4749545544452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229292C652E64656275672E696E666F287B4D61704C6F6E6769747564653A6E7D29292C652E6973446566696E6564416E644E6F744E75';
wwv_flow_api.g_varchar2_table(51) := '6C6C28742E4D41505F4C415449545544452926262222213D742E4D41505F4C41544954554445262628652E64656275672E696E666F287B4D61704C617469747564655F6F3A742E4D41505F4C415449545544457D292C613D7061727365466C6F61742874';
wwv_flow_api.g_varchar2_table(52) := '2E4D41505F4C415449545544452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229292C652E64656275672E696E666F287B4D61704C6F6E6769747564653A617D29292C652E6973446566696E6564416E644E6F744E756C6C28742E4D';
wwv_flow_api.g_varchar2_table(53) := '41505F5A4F4F4D2926262222213D742E4D41505F5A4F4F4D262628652E64656275672E696E666F287B4D61705A6F6F6D5F6F3A742E4D41505F5A4F4F4D7D292C6F3D7061727365466C6F617428742E4D41505F5A4F4F4D2E746F537472696E6728292E72';
wwv_flow_api.g_varchar2_table(54) := '65706C616365282F2C2F2C222E2229292C652E64656275672E696E666F287B4D61705A6F6F6D3A6F7D2929293B76617220693D6E6577204F70656E4C61796572732E4C617965722E4D61726B657273282241646472657373222C7B70726F6A656374696F';
wwv_flow_api.g_varchar2_table(55) := '6E3A6E6577204F70656E4C61796572732E50726F6A656374696F6E2822455053473A3433323622292C7669736962696C6974793A21302C646973706C6179496E4C6179657253776974636865723A21317D293B696628652E6973446566696E6564416E64';
wwv_flow_api.g_varchar2_table(56) := '4E6F744E756C6C28742E4D41524B45525F4C415449545544452926262222213D742E4D41524B45525F4C415449545544452626652E6973446566696E6564416E644E6F744E756C6C28742E4D41524B45525F4C4F4E4749545544452926262222213D742E';
wwv_flow_api.g_varchar2_table(57) := '4D41524B45525F4C4F4E474954554445297B652E64656275672E696E666F287B4D61726B65724C6F6E6769747564655F6F3A742E4D41524B45525F4C4F4E4749545544452C4D61726B65724C617469747564655F6F3A742E4D41524B45525F4C41544954';
wwv_flow_api.g_varchar2_table(58) := '5544457D293B76617220733D7061727365466C6F617428742E4D41524B45525F4C4F4E4749545544452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229292C643D7061727365466C6F617428742E4D41524B45525F4C415449545544';
wwv_flow_api.g_varchar2_table(59) := '452E746F537472696E6728292E7265706C616365282F2C2F2C222E2229293B652E64656275672E696E666F287B4D61726B65724C6F6E6769747564653A732C4D61726B65724C617469747564653A647D292C66756E6374696F6E28722C6E2C612C6F2C74';
wwv_flow_api.g_varchar2_table(60) := '2C692C732C64297B766172206C3D6E6577204F70656E4C61796572732E4C6F6E4C61742877286E292C4F286129292C753D747C7C702E6D61726B65722E77696474682C413D697C7C702E6D61726B65722E6865696768742C633D6E6577204F70656E4C61';
wwv_flow_api.g_varchar2_table(61) := '796572732E53697A6528752C41292C673D6E6577204F70656E4C61796572732E506978656C282D632E772F322C2D632E68292C4D3D6F7C7C702E6D61726B65722E75726C2C663D6E6577204F70656E4C61796572732E49636F6E284D2C632C67292C4C3D';
wwv_flow_api.g_varchar2_table(62) := '6E6577204F70656E4C61796572732E4665617475726528722C6C292C453D6E6577204F70656E4C61796572732E4D61726B6572286C2C66293B652E6973446566696E6564416E644E6F744E756C6C286429262628452E69636F6E2E696D6167654469762E';
wwv_flow_api.g_varchar2_table(63) := '7469746C653D64292C452E666561747572653D4C2C722E6164644D61726B65722845292C652E6973446566696E6564416E644E6F744E756C6C2873292626452E6576656E74732E72656769737465722822636C69636B222C722C66756E6374696F6E2829';
wwv_flow_api.g_varchar2_table(64) := '7B652E6C696E6B2873297D297D28692C732C642C742E4D41524B45525F55524C2C742E4D41524B45525F57494454482C742E4D41524B45525F4845494748542C742E4D41524B45525F4C494E4B2C742E4D41524B45525F4C4142454C297D412E6164644C';
wwv_flow_api.g_varchar2_table(65) := '6179657273285B452C695D297D293B656C73657B652E64656275672E696E666F28224E6F2053514C2044617461206C6F616465642E22293B76617220683D6E6577204F70656E4C61796572732E4C617965722E4D61726B65727328224164647265737322';
wwv_flow_api.g_varchar2_table(66) := '2C7B70726F6A656374696F6E3A6E6577204F70656E4C61796572732E50726F6A656374696F6E2822455053473A3433323622292C7669736962696C6974793A21302C646973706C6179496E4C6179657253776974636865723A21317D293B412E6164644C';
wwv_flow_api.g_varchar2_table(67) := '6179657273285B452C685D297D76617220523D77286E292C793D4F2861293B412E73657443656E746572286E6577204F70656E4C61796572732E4C6F6E4C617428522C79292C6F2B31292C632E66696E6428222E6F6C436F6E74726F6C41747472696275';
wwv_flow_api.g_varchar2_table(68) := '74696F6E22292E6373732822626F74746F6D222C2235707822297D63617463682872297B652E64656275672E6572726F7228224572726F207768696C652074727920746F2064726177204F70656E5374726565744D61707322292C652E64656275672E65';
wwv_flow_api.g_varchar2_table(69) := '72726F722872297D7D66756E6374696F6E206C28297B652E6C6F616465722E73746172742863293B76617220723D6F3B617065782E7365727665722E706C7567696E286E2C7B706167654974656D733A727D2C7B737563636573733A642C6572726F723A';
wwv_flow_api.g_varchar2_table(70) := '66756E6374696F6E2872297B632E656D70747928292C636F6E736F6C652E6C6F6728722E726573706F6E736554657874292C652E6E6F446174614D6573736167652E73686F77282223222B752C224572726F72206F6363757265642122297D2C64617461';
wwv_flow_api.g_varchar2_table(71) := '547970653A226A736F6E227D297D76617220753D722B222D63222C413D24282223222B72293B696628412E6C656E6774683E30297B76617220703D7B7D3B703D652E6A736F6E53617665457874656E64287B726566726573683A302C6865696768743A22';
wwv_flow_api.g_varchar2_table(72) := '3630307078222C6D61703A7B6C6F6E6769747564653A302C6C617469747564653A302C7A6F6F6D3A317D2C6D61726B65723A7B6865696768743A35342C77696474683A35342C6C6162656C733A21312C75726C3A22646174613A696D6167652F706E673B';
wwv_flow_api.g_varchar2_table(73) := '6261736536342C6956424F5277304B47676F414141414E53556845556741414144414141414177434159414141425841766D48414141414358424957584D41414137454141414F784147564B7734624141414565456C455156526F6763575A5432686452';
wwv_flow_api.g_varchar2_table(74) := '525447662F63525168596842416D6C684335436B5242434B43457156426353536854524C6B534B694A51694C6F6F4C462B4A43676F685158485468796F564945536B53737569716942545249696F6C697051532F4E63574A47306C564B7656316C427269';
wwv_flow_api.g_varchar2_table(75) := '476E4F35324C6D4E6A6333642B353739393135665165474E2B2F437A487A666D652F4D50584E75516B32542B786B4164674F6A77455041464444736E775038433177447667664F417565425338434E424B777568725A4E4D476877774F4359594D6C6758';
wwv_flow_api.g_varchar2_table(76) := '6142387336332F4E77525842664D474C386F523751723443594E5442723937554E75416C7A567A37616242676D4247304C68587748634B6A686A637A48733331472B6833545A34333577454F77702B68324265634473692B4C5374437A34586A4863532F';
wwv_flow_api.g_varchar2_table(77) := '4845466442367866527164684A664E5843684966567331754F4233364B42675372424C4D47777558703652432F5A7A4269744E6475304C7756673041675A76704C494A7446384D58686673456653554F4B4968474245634E6C67734366344E7759645241';
wwv_flow_api.g_varchar2_table(78) := '6C73775A7642586143474472775437424C3056356D77494A7631757251563259395667663133774177596E62665059793376707547426E6A666E37424738617242584A795A7A6352756F5132432B34476A68567A7451426E795668546937623547527779';
wwv_flow_api.g_varchar2_table(79) := '2B446C4D6C6D57546477766543656730325842544633776D62556D424E38474176716A7468776C47426638564F43564E594D6A565454667A4D79746479694E4E6473716F78584264476873575A5476467478663850784B4168386E3846396434446B516E';
wwv_flow_api.g_varchar2_table(80) := '7745584253532B2B66344138474354735955326D586776612B767A383769734D725A64532B444C4A504D67303338344E4B694D77414D4645354841365A6A657A36317843707A44557166352F6D526F58426D42554F42637249797564537553454A536B33';
wwv_flow_api.g_varchar2_table(81) := '4545436776354D5032742F314548597850354F344537364A396E383751734E434A367641533365453073646C6D7A3267376532736866456A63447A6F585A41745767446770375559526B4A2F524D61554259446C394A4F546B4B647648534D467532384D';
wwv_flow_api.g_varchar2_table(82) := '6C6A79566B5A6749542B526E2B79786D432B787A4C77415436583937436D55774E6568635756422F4B50677A2F7A7A4243626F7A4B3170434A67754F49587541476443673449454576673138532B736E495247674366615372414335694E30487A426549';
wwv_flow_api.g_varchar2_table(83) := '4B457263692F506169626F4563774B56677679395358426F375752657A4D596C62745835504F75446346373271777656536178562F427A4A72484B4C6E426163463845384C3065354872426E65433634446B316E795A496F4538775635424F7078656164';
wwv_flow_api.g_varchar2_table(84) := '2B7551384F42666C537572464E3250467778327444742F536D4C4377677473434434525046496C4A6E7A365043353379563874636443425775417A4A453455784D486458344D4C42712F4961626E735A454D774C46653157416A494A6D324C4B6B6B6871';
wwv_flow_api.g_varchar2_table(85) := '684B596C71746E427573354272634533336D76506930594E5269556537754F434234587643333452706D4C53784634633774794B41703454364250384662675247726172394A3837576C4F73564D57775A6A676242586762665976793556703470704277';
wwv_flow_api.g_varchar2_table(86) := '357832322F46716C663752614E6F50454A6D33544B5569706F544D3758446E774873436B344C46446B686F57585572636132596F4E6667734D4C6C786E596B744F716C303938635152775350594B6A356D716A4D535230516848536B716F6B68767A6E6F';
wwv_flow_api.g_varchar2_table(87) := '626F53757179597066534B4A4759386748596C74474C77516C66416577494E75577A7874366F53386F5862317A702B367252416F6B3877573552796C2F554E506C426E437753746D31792B63374B43684835517437345068307977793177706644306B49';
wwv_flow_api.g_varchar2_table(88) := '66384350436659303232383230797554636C6C6D79485A4C416D65564D54376446547A516233582F456677484A463167326656675A4A4D644A504C2F5A63794A4B344C58756F327270624E3333576646797A37335A68567535574662706B2F58672F4B66';
wwv_flow_api.g_varchar2_table(89) := '595563374E51362F7750584F316F702B496270456741414141424A52553545726B4A6767673D3D227D7D2C61293B76617220633D66756E6374696F6E2865297B76617220723D2428223C6469763E3C2F6469763E22293B72657475726E20722E61646443';
wwv_flow_api.g_varchar2_table(90) := '6C6173732822616F6D2D636F6E7461696E657222292C722E6174747228226964222C75292C722E68656967687428702E686569676874292C652E617070656E642872292C727D2841293B6C28293B7472797B617065782E6A5175657279282223222B7429';
wwv_flow_api.g_varchar2_table(91) := '2E62696E6428226170657872656672657368222C66756E6374696F6E28297B303D3D632E6368696C6472656E28227370616E22292E6C656E67746826266C28297D297D63617463682865297B636F6E736F6C652E6C6F67282243616E27742062696E6420';
wwv_flow_api.g_varchar2_table(92) := '72656672657368206576656E74206F6E20222B742B222E2041706578206973206D697373696E6722292C636F6E736F6C652E6C6F672865297D702E726566726573683E302626736574496E74657276616C2866756E6374696F6E28297B303D3D632E6368';
wwv_flow_api.g_varchar2_table(93) := '696C6472656E28227370616E22292E6C656E67746826266C28297D2C3165332A702E72656672657368297D656C736520636F6E736F6C652E6C6F67282243616E27742066696E6420706172656E7449443A20222B72297D7D7D28293B';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(62238563520251700996)
,p_plugin_id=>wwv_flow_api.id(62193305448936889086)
,p_file_name=>'script.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
begin
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '4F7261636C65204D6170733A0D0A0D0A68747470733A2F2F6D6170732E6F7261636C652E636F6D0D0A0D0A4F70656E5374726565744D6170733A0D0A0D0A68747470733A2F2F7777772E6F70656E7374726565746D61702E6F72672F636F707972696768';
wwv_flow_api.g_varchar2_table(2) := '74';
null;
end;
/
begin
wwv_flow_api.create_plugin_file(
 p_id=>wwv_flow_api.id(62238576106988701961)
,p_plugin_id=>wwv_flow_api.id(62193305448936889086)
,p_file_name=>'LICENSE4LIBS'
,p_mime_type=>'application/octet-stream'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_api.varchar2_to_blob(wwv_flow_api.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_api.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
